Bug 1711962 - python-deap FTBFS with sphinx
Summary: python-deap FTBFS with sphinx
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-deap
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F31FTBFS SPHINX2 PYTHON38 1732841
TreeView+ depends on / blocked
 
Reported: 2019-05-20 14:02 UTC by Patrik Kopkan
Modified: 2019-07-31 22:40 UTC (History)
2 users (show)

Fixed In Version: python-deap-1.0.1-12.20160624git232ed17.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-22 07:42:20 UTC
Type: Bug


Attachments (Terms of Use)
Copr build log (221.29 KB, text/plain)
2019-05-20 14:02 UTC, Patrik Kopkan
no flags Details

Description Patrik Kopkan 2019-05-20 14:02:39 UTC
Created attachment 1571299 [details]
Copr build log

pyrhon-deap-2.20160624git232ed17 fails at build section. 

Extension error:
Could not import extension sphinx.ext.pngmath (exception: No module named 'sphinx.ext.pngmath')
error: Bad exit status from /var/tmp/rpm-tmp.QzHSmt (%build)

I same issue https://github.com/sphinx-doc/sphinx/issues/6182 
the answer is that sphinx.ext.pngmath is removed and project should use sphinx.ext.imgmath module instead

Comment 1 Miro Hrončok 2019-05-20 14:16:14 UTC
In most cases, just sedding this extension out fo the config file is enough.

Comment 2 Zbigniew Jędrzejewski-Szmek 2019-05-22 07:16:22 UTC
Built in rawhide.


Note You need to log in before you can comment on or make changes to this bug.